<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.UserMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.User">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="nickname" jdbcType="VARCHAR" property="nickname" />
    <result column="avatar" jdbcType="VARCHAR" property="avatar" />
    <result column="password" jdbcType="VARCHAR" property="password" />
    <result column="email" jdbcType="VARCHAR" property="email" />
    <result column="area" jdbcType="VARCHAR" property="area" />
    <result column="mobile" jdbcType="VARCHAR" property="mobile" />
    <result column="wechat_openid_pc" jdbcType="VARCHAR" property="wechatOpenidPc" />
    <result column="wechat_openid_wechat" jdbcType="VARCHAR" property="wechatOpenidWechat" />
    <result column="wechat_unionid" jdbcType="VARCHAR" property="wechatUnionid" />
    <result column="wechat_access_token" jdbcType="VARCHAR" property="wechatAccessToken" />
    <result column="wechat_refresh_token" jdbcType="VARCHAR" property="wechatRefreshToken" />
    <result column="wechat_expire_time" jdbcType="TIMESTAMP" property="wechatExpireTime" />
    <result column="real_name" jdbcType="VARCHAR" property="realName" />
    <result column="real_address" jdbcType="VARCHAR" property="realAddress" />
    <result column="real_identity" jdbcType="VARCHAR" property="realIdentity" />
    <result column="real_photo" jdbcType="VARCHAR" property="realPhoto" />
    <result column="real_status" jdbcType="INTEGER" property="realStatus" />
    <result column="prepare_status" jdbcType="VARCHAR" property="prepareStatus" />
    <result column="prepare_goal" jdbcType="INTEGER" property="prepareGoal" />
    <result column="prepare_examination_time" jdbcType="VARCHAR" property="prepareExaminationTime" />
    <result column="prepare_score_time" jdbcType="TIMESTAMP" property="prepareScoreTime" />
    <result column="latest_exercise" jdbcType="INTEGER" property="latestExercise" />
    <result column="latest_error" jdbcType="INTEGER" property="latestError" />
    <result column="origin_id" jdbcType="INTEGER" property="originId" />
    <result column="invite_code" jdbcType="VARCHAR" property="inviteCode" />
    <result column="total_money" jdbcType="DECIMAL" property="totalMoney" />
    <result column="invite_number" jdbcType="INTEGER" property="inviteNumber" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `nickname`, `avatar`, `password`, `email`, `area`, `mobile`, `wechat_openid_pc`, 
    `wechat_openid_wechat`, `wechat_unionid`, `wechat_access_token`, `wechat_refresh_token`, 
    `wechat_expire_time`, `real_name`, `real_address`, `real_identity`, `real_photo`, 
    `real_status`, `prepare_status`, `prepare_goal`, `prepare_examination_time`, `prepare_score_time`, 
    `latest_exercise`, `latest_error`, `origin_id`, `invite_code`, `total_money`, `invite_number`, 
    `create_time`
  </sql>
</mapper>